Python PyGI support broken

Bug #844779 reported by Mikkel Kamstrup Erlandsen on 2011-09-08
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
Gwibber
Undecided
Unassigned
Music Lens
Undecided
Unassigned
Unity
Fix Released
Undecided
Unassigned
Unity Music Lens
Undecided
Unassigned
libunity
Fix Released
Undecided
Unassigned
unity-lens-applications
Undecided
Unassigned
unity-lens-files
Undecided
Unassigned
gwibber (Ubuntu)
Medium
Unassigned
libunity (Ubuntu)
Undecided
Unassigned
unity (Ubuntu)
Undecided
Unassigned
unity-lens-applications (Ubuntu)
Undecided
Unassigned
unity-lens-files (Ubuntu)
Undecided
Unassigned
unity-lens-music (Ubuntu)
Undecided
Unassigned

Bug Description

The libunity-4.0 series has broken the GI support for PyGI. PyGI doesn't support Array<GObject> properties.

Related branches

f you're dying to test whether it is actually true that Python works now, I cordially invite you to test lp:~unity-team/unity-lens-sample/unity-place-python

Didier Roche (didrocks) on 2011-09-08
Changed in unity-music-lens:
status: New → Fix Committed
Changed in libunity:
status: New → Fix Committed
Changed in unity:
status: New → Fix Committed
Changed in unity-lens-applications:
status: New → Fix Committed
Changed in unity-lens-files:
status: New → Fix Committed
Changed in unity:
milestone: none → 4.14.0
Didier Roche (didrocks) on 2011-09-08
Changed in libunity:
status: Fix Committed → Fix Released
Changed in unity:
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-09-08
affects: unity-place-applications (Ubuntu) → unity-lens-files (Ubuntu)
Changed in unity-lens-applications:
status: Fix Committed → Fix Released
Changed in unity-lens-files:
status: Fix Committed → Fix Released
Changed in unity-music-lens:
status: Fix Committed → Fix Released
Didier Roche (didrocks) on 2011-09-08
Changed in unity-lens-music:
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libunity - 4.0.2-0ubuntu1

---------------
libunity (4.0.2-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - [dash] Apps lens shows no result by default (LP: #834571)
    - Quicklist can't be correctly hidden (LP: #843425)
    - Python PyGI support broken (LP: #844779)
  * debian/control,
    debian/libunity5.symbols => debian/libunity6.symbols,
    debian/libunity5.install => debian/libunity6.install:
    - makes the necessary tweak for ABI/API breakage
 -- Didier Roche <email address hidden> Thu, 08 Sep 2011 17:01:04 +0200

Changed in libunity (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-applications - 0.4.4-0ubuntu1

---------------
unity-lens-applications (0.4.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Python PyGI support broken (LP: #844779)
  * debian/control:
    - build-dep on latest libunity-dev for ABI/API break
 -- Didier Roche <email address hidden> Thu, 08 Sep 2011 20:11:04 +0200

Changed in unity-lens-applications (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-files - 0.6.4-0ubuntu1

---------------
unity-lens-files (0.6.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Python PyGI support broken (LP: #844779)
  * debian/control:
    - build-dep on latest libunity for ABI/API break
 -- Didier Roche <email address hidden> Thu, 08 Sep 2011 20:11:34 +0200

Changed in unity-lens-files (Ubuntu):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity-lens-music - 0.1.4-0ubuntu1

---------------
unity-lens-music (0.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
    - Python PyGI support broken (LP: #844779)
  * debian/control:
    - build-dep on latest libunity-dev for ABI/API break
 -- Didier Roche <email address hidden> Thu, 08 Sep 2011 20:12:26 +0200

Changed in unity-lens-music (Ubuntu):
status: New → Fix Released
Changed in gwibber:
milestone: none → 3.1.92
status: New → Fix Committed
milestone: 3.1.92 → 3.1.91
Changed in gwibber (Ubuntu):
importance: Undecided → Medium
status: New → Triaged
Changed in gwibber:
milestone: 3.1.91 → 3.2
Changed in gwibber:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gwibber - 3.1.92-0ubuntu1

---------------
gwibber (3.1.92-0ubuntu1) oneiric; urgency=low

  * New upstream release
    - Reflect changes in updated libunity API, from Mikkel Kamstrup
      Erlandsen (LP: #844779)
    - Mark some strings for translation, thanks to Gabor Kelemen (LP: #846032)
    - Don't clean the pkgconfig files, thanks to Aaron Borden (LP: #846144)
    - nick and hashtag parsing is not unicode aware, thanks to
      Tom Callaway (LP: #812482)
    - Don't claim to handle image mimetypes
    - foursquare: actually include content from version 3 of the
      foursquare API, thanks to Teester!
    - Make sure we display valid menus for each service
    - queue a redraw after showing the entry, thanks to Neil Patel (LP: #812039)
  * debian/patches/new_libunity_API.patch
    - Dropped, merged upstream

  [Jeremy Bicha]
  * debian/control
  * debian/rules
    - Port to dh_python2
  * debian/pycompat: Dropped
 -- Ken VanDine <email address hidden> Tue, 27 Sep 2011 15:54:26 -0400

Changed in gwibber (Ubuntu):
status: Triaged → Fix Released
Changed in unity (Ubuntu):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers